corda / net.corda.core.contracts / DummyState

# DummyState

`data class DummyState : ContractState`

Dummy state for use in testing. Not part of any contract, not even the DummyContract.

### Constructors

<init> | `DummyState(magicNumber: Int = 0)` Dummy state for use in testing. Not part of any contract, not even the DummyContract.

### Properties

contract | `val contract: DummyContract` An instance of the contract class that will verify this state.
magicNumber | `val magicNumber: Int`
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached!)